
public class Test {
    // Attribute
    BinBaum testBaum1;
    
    //Konstruktor
    public Test() {
        testBaum1 = new BinBaum();
        testBaumAnlegen();
        System.out.println("Baum nach anlegen inorder:");
        testBaum1.inorder();
        System.out.println("\nMinimum ausgeben:");
        System.out.println((testBaum1.getMin()));
        System.out.println("\nDie 11 lschen:");
        delete(11);
        System.out.println("\nBaum nach dem lschen:");
        testBaum1.inorder();

    }

    //Methoden und Dienste
    public void testBaumAnlegen() {
        /*
         *    22  15
         *   /   /
         * 17   14
         *   \ /  \
         *   11    12
         *    \    8
         *     \  /
         *      7
         *       \
         *        5
         */
        testBaum1.insert(17);
        testBaum1.insert(11);
        testBaum1.insert(22);
        testBaum1.insert(7);
        testBaum1.insert(14);
        testBaum1.insert(12);
        testBaum1.insert(5);
        testBaum1.insert(8);
        testBaum1.insert(15);
        
    }
    
    public void delete(int zahl) {
        testBaum1.delete(zahl);        
    }
    
    public void ausgaben() {
        System.out.println("Inorder (aufsteigend):");
        testBaum1.inorder();

        System.out.println("Postorder:");
        testBaum1.postorder();

        System.out.println("Preorder:");
        testBaum1.preorder();
        
    }
    public void suchen() {
        System.out.println("suchen(7)");
        if (testBaum1.suchen(7)) System.out.println("7 gefunden");
        else System.out.println("8 NICHT gefunden");

        System.out.println("suchen(8)");
        if (testBaum1.suchen(8)) System.out.println("8 gefunden");
        else System.out.println("8 NICHT gefunden");

    }
}
